/*
 *   Mylyn Connector for Serena Business Mashups
 * 	 Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * 
 *   Serena, TeamTrack and Serena Business Mashup are 
 * 	 registered trademarks of SERENA Software Inc.
 */
package net.brutex.mylyn.sbmconnector.core.model;

public enum SBMFieldTypes {
		UNKNOWN("UNKNOWN"),
	    NUMERIC("FLDTYPE-NUMERIC"),
	    TEXT("FLDTYPE-TEXT"),
	    DATETIME("FLDTYPE-DATETIME"),
	    SELECTION("FLDTYPE-SELECTION"),
	    BINARY("FLDTYPE-BINARY"),
	    STATE("FLDTYPE-STATE"),
	    USER("FLDTYPE-USER"),
	    PROJECT("FLDTYPE-PROJECT"),
	    SUMMATION("FLDTYPE-SUMMATION"),
	    MULTIPLE_SELECTION("FLDTYPE-MULTIPLE-SELECTION"),
	    CONTACT("FLDTYPE-CONTACT"),
	    INCIDENT("FLDTYPE-INCIDENT"),
	    FOLDER("FLDTYPE-FOLDER"),
	    RELATIONAL("FLDTYPE-RELATIONAL"),
	    SUBRELATIONAL("FLDTYPE-SUBRELATIONAL"),
	    SYSTEM("FLDTYPE-SYSTEM"),
	    MULTIPLE_RELATIONAL("FLDTYPE-MULTIPLE-RELATIONAL"),
	    MULTIPLE_GROUP("FLDTYPE-MULTIPLE-GROUP"),
	    MULTIPLE_USERGROUP("FLDTYPE-MULTIPLE-USERGROUP");

		private final String value;

	    SBMFieldTypes(String v) {
	        value = v;
	    }
	    
	    public String getValue() {
	    	return value;
	    }

	    public static SBMFieldTypes fromValue(String v) {
	        for (SBMFieldTypes c: SBMFieldTypes.values()) {
	            if (c.value.equals(v)) {
	                return c;
	            }
	        }
	        throw new IllegalArgumentException(v);
	    }

}
